> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/installation-setup/system-settings/google/captcha.md).

# Captcha Setup

To setup Google Captcha you may first register your recapcha secret and site keys.

To create your keys go to the Google reCaptcha admin section.\
<https://www.google.com/recaptcha/admin>

Click on the upper right the create new button.

![](https://1025048312-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MCAptMoOvHhdIgGLK0e%2F-MCAqpNa6dElZlfh2hHg%2Fimage.png?alt=media\&token=d66afc22-97b6-421c-8de8-2d02e73f2593)

Now setup your captcha settings

![](https://1025048312-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MCAptMoOvHhdIgGLK0e%2F-MCArEpVu5l9fPNWZ5wP%2Fimage.png?alt=media\&token=f7932622-4171-4310-ba79-a9be1662c5a9)

Copy both the site key and secret key

![](https://1025048312-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MCAptMoOvHhdIgGLK0e%2F-MCArRunNBvdToRAIQle%2Fimage.png?alt=media\&token=4396ceb1-d993-4978-a960-9bf87456413f)

Paste the keys in your ngSurvey Google API settings and click on the **test** button to check that everything is ok.

![](https://1025048312-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MCAptMoOvHhdIgGLK0e%2F-MCArn8YeJxWw8vTzhaS%2Fimage.png?alt=media\&token=6eea4a96-704f-40f1-9f68-8869e25ff439)

{% hint style="info" %}
Captcha will only run properly on a server that has access to the internet. If your server is behind a firewall you will need to make sure that the server can at least contact the Google verification service <https://www.google.com/recaptcha/api/siteverify> and set the appropriate [firewall rules](https://code.google.com/archive/p/recaptcha/wikis/FirewallsAndRecaptcha.wiki).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/installation-setup/system-settings/google/captcha.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
